Subject: Re: bug#11545: 24.0.96-mac-2.92; Strange speed problem scrolling in C++ code

From: John Wiegley <[email-masked]>
Date: Wed, 23 May 2012 17:27:34 -0500

>>>>> Eli Zaretskii <[email-masked]> writes:

>> Start either Emacs with -Q -nw.  Open a largish C++ file.  Hold down C-v.
>> On my laptop the lagginess was quite obvious, on my desktop a little less
>> so.

> Does the sluggishness go away if, right after starting Emacs, you type "M-x
> global-font-lock-mode RET" to disable font-lock, and _then_ visit that
> largish C++ file?

Yes.  With font-lock off, it is buttery smooth.

So it looks like either the new cc-mode, or Emacs 24, is causing lots of
GC'ing when lazy fontifying a large C++ header.  And in fact, this header is
mostly C, so there's nothing complex in it like templates to throw cc-mode off
the mark.

John